LinearApprox Class Reference

`#include <models.h>`

Inheritance diagram for LinearApprox:
Collaboration diagram for LinearApprox:

## Public Member Functions

| LinearApprox ()
| LinearApprox (const LinearApprox &)
| LinearApprox (Data)
| LinearApprox (Data, std::vector< double >)
| ~LinearApprox ()
void | setModelData (Data)
void | setExpData (Data)
void | setCost (CostFunction *)
Data | getSol () const
void | setParam (std::vector< double >)
std::vector< double > | getParam () const
std::vector< double > | getNeighbor (double) const
double | getCost ()
void | exportModel () const
void | displayModel () const
Data | getExpData () const
void | setSlope (double)
double | getSlope () const
void | setOffset (double)
double | getOffset () const
Public Member Functions inherited from Model
| Model ()
| Model (const Model &)
| Model (Data)
virtual | ~Model ()

## Additional Inherited Members

Protected Attributes inherited from Model
Data | m_data
Data | exp_data
CostFunction * | m_cost

## Constructor & Destructor Documentation

## LinearApprox() [1/4]

LinearApprox::LinearApprox | ( |  | ) |

## LinearApprox() [2/4]

LinearApprox::LinearApprox | ( | const LinearApprox & | other | ) |

## LinearApprox() [3/4]

LinearApprox::LinearApprox | ( | Data | T | ) |

## LinearApprox() [4/4]

LinearApprox::LinearApprox | ( | Data | T,
|  | std::vector< double > | par
| ) |  |

## ~LinearApprox()

LinearApprox::~LinearApprox | ( |  | ) |

inline

## Member Function Documentation

## displayModel()

void LinearApprox::displayModel | ( |  | ) | const

virtual

Implements Model.

## exportModel()

void LinearApprox::exportModel | ( |  | ) | const

virtual

Implements Model.

## getCost()

double LinearApprox::getCost | ( |  | ) |

virtual

Implements Model.

## getExpData()

Data LinearApprox::getExpData | ( |  | ) | const

## getNeighbor()

std::vector< double > LinearApprox::getNeighbor | ( | double | ampl | ) | const

virtual

Implements Model.

## getOffset()

double LinearApprox::getOffset | ( |  | ) | const

## getParam()

std::vector< double > LinearApprox::getParam | ( |  | ) | const

virtual

Implements Model.

## getSlope()

double LinearApprox::getSlope | ( |  | ) | const

## getSol()

Data LinearApprox::getSol | ( |  | ) | const

virtual

Implements Model.

## setCost()

void LinearApprox::setCost | ( | CostFunction * | f | ) |

virtual

Reimplemented from Model.

## setExpData()

void LinearApprox::setExpData | ( | Data | T | ) |

virtual

Reimplemented from Model.

## setModelData()

void LinearApprox::setModelData | ( | Data | T1 | ) |

virtual

Reimplemented from Model.

## setOffset()

void LinearApprox::setOffset | ( | double | b | ) |

## setParam()

void LinearApprox::setParam | ( | std::vector< double > | a | ) |

virtual

Reimplemented from Model.

## setSlope()

void LinearApprox::setSlope | ( | double | a | ) |

The documentation for this class was generated from the following files:

- models.h
- models.cpp